## vmg 3.8.1

=== Makefile ===
#
# Variables
#



#
# Targets
#

#
# The First target is the one build when there is nothing on make command line
#
all:
	./make.sh

clean:
	./clean.sh

install:
	./install.sh

uninstall:
	./uninstall.sh

## vmg 3.7.1

=== debian/changelog ===
vmg (3.7.1-8build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:32:36 +1100

vmg (3.7.1-8build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:57:31 +0000

vmg (3.7.1-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Samuel Thibault ]
  * control: Make Multi-Arch: foreign.
  * source/lintian-overrides: Update dropping warnings.
  * rules: Set lcl=qt5.
  * control: Depend on lcl-qt5 instead of lcl-gtk2 (Closes: Bug#967798)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Aug 2023 18:07:16 +0200

vmg (3.7.1-7) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * Play cat and mice again with lintian warning suppression.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:41:39 +0100

vmg (3.7.1-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * source/lintian-overrides: Update suppression.

  [ Frédéric Bonnard ]
  * rules: fix the path for fpc unit files (Closes: Bug#1000651)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Nov 2021 16:20:33 +0100

vmg (3.7.1-5) unstable; urgency=medium

  * source/lintian-overrides: Ignore warning about extra-long lines in source
    file.
  * control: Update alioth list domain.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:11:08 +0100

vmg (3.7.1-4) unstable; urgency=medium

  * control: Migrate priority to optional.
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 00:57:31 +0200

vmg (3.7.1-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * Add Build-Depends on fp-units-misc to enable building with fpc 3.0.2
    and lazarus 1.8

 -- Paul Gevers <elbrus@debian.org>  Tue, 11 Jul 2017 20:40:44 +0200

vmg (3.7.1-2) unstable; urgency=medium

  * rules: hack DEB_HOST_GNU_CPU=i[56]86 into i386.
  * control: Drop lazarus build-depend, not actually needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jun 2016 02:13:49 +0200

vmg (3.7.1-1) unstable; urgency=low

  * Initial release. (Closes: Bug#825971)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 Jun 2016 02:44:00 +0200

=== debian/control ===
Source: vmg
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13), fp-compiler, fp-units-misc, lcl-units, lcl-qt5, lcl-utils, binutils-mingw-w64-i686
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: utils
Vcs-Git: https://salsa.debian.org/a11y-team/vmg.git
Vcs-Browser: https://salsa.debian.org/a11y-team/vmg
Homepage: http://magnifier.sourceforge.net/

Package: vmg
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Virtual Magnifying Glass
 Virtual Magnifying Glass is designed for visually-impaired and others who need
 to magnify a part of the screen. Unlike most similar programs it does not open
 a separate window for the magnification but instead puts a movable magnifying
 glass on screen.

=== debian/rules ===
#!/usr/bin/make -f

WINDRES=/usr/bin/i686-w64-mingw32-windres

%:
	dh $@

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
ifeq ($(DEB_HOST_GNU_CPU),i586)
DEB_HOST_GNU_CPU := i386
endif
ifeq ($(DEB_HOST_GNU_CPU),i686)
DEB_HOST_GNU_CPU := i386
endif
ifeq ($(DEB_HOST_GNU_CPU),powerpc64le)
DEB_HOST_GNU_CPU := powerpc64
endif
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%.res: %.rc
	$(WINDRES) $< $@

%.lrs: %.lfm
	lazres $@ $<

override_dh_auto_build: fpcmagnifier.res magnifier.res startform.lrs
	lcl=qt5 fpc -S2cgi -O1 -gl -vewnhi -l \
	  -Fu/usr/lib/lazarus/default/lcl/units/$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)/ \
	  -Fu/usr/lib/lazarus/default/lcl/units/$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)/gtk2/ \
	  -Fu/usr/lib/lazarus/default/packager/units/$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)/ \
	  -Fu/usr/lib/lazarus/default/components/lazutils/lib/$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_OS)/ \
	  -Fu. -o./vmg -dLCL -dLCLgtk2 magnifier.dpr

override_dh_auto_install:
	:

override_dh_auto_clean:
	./clean.sh
	-rm -f magnifier.or *.res *.lrs vmg

## vmg 3.8.1

=== debian/changelog ===
vmg (3.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Rely on pre-initialized dpkg-architecture variables.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Aug 2025 22:44:01 +0200

vmg (3.8.1-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - vmg.desktop: Upstreamed.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Jul 2025 20:48:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: vmg
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 13), fp-compiler, fp-units-misc, lcl-units, lcl-qt5, lcl-utils, binutils-mingw-w64-i686
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: utils
 Vcs-Git: https://salsa.debian.org/a11y-team/vmg.git
 Vcs-Browser: https://salsa.debian.org/a11y-team/vmg
-Homepage: http://magnifier.sourceforge.net/
+Homepage: https://magnifier.sourceforge.net/
 
 Package: vmg
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 %:
 	dh $@
 
-DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+include /usr/share/dpkg/architecture.mk
 ifeq ($(DEB_HOST_GNU_CPU),i586)
 DEB_HOST_GNU_CPU := i386
 endif
@@ -15,7 +15,6 @@
 ifeq ($(DEB_HOST_GNU_CPU),powerpc64le)
 DEB_HOST_GNU_CPU := powerpc64
 endif
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 %.res: %.rc
 	$(WINDRES) $< $@
